2008-05-02  Rick Moseley  <rmoseley@redhat.com>

	* DOMImage.java: Remove CDTParser.
	* TestParser.java: Remove.
	* cparser/CDTParser.java: Remove.

2008-04-17  Andrew Cagney  <cagney@redhat.com>

	* TestParser.java: Use frysk.config.Prefix.

2008-03-03  Andrew Cagney  <cagney@redhat.com>

	* TestParser.java: Use frysk.config.

2008-02-19  Andrew Cagney  <cagney@redhat.com>

	* DOMCommon.java: Update to match lib.dwfl.File.

2007-12-13  Sami Wagiaalla  <swagiaal@redhat.com>

	Moved frysk.rt.Line to frysk.scopes.SourceLocation.
	* DOMFactory.java: Updated.

2007-12-11  Andrew Cagney  <cagney@redhat.com>

	* DOMFactory.java: Update, DebugInfoFrame.getLines() replaced by
	getLine().

2007-08-14  Rick Moseley  <rmoseley@redhat.com>

	* DOMFactory.java: Move printDOM() to DOMCommon.
	* DOMImage.java: Ditto.
	* DOMCommon.java: Ditto.
	* CDTParser.java: Ditto; fix bz# 4921(another parsing error).

2007-07-31  Sami Wagiaalla  <swagiaal@redhat.com>

	* DOMFactory.java: Replaced Frame with DebugInfoFrame.

2007-07-28  Andrew Cagney  <cagney@redhat.com>

	* TestParser.java: Use Config.getPkgLibFile.
	
	* TestParser.java: Use Config.getPkgDataFile. 

2007-07-23  Rick Moseley  <rmoseley@redhat.com>

	* cparser/CDTParser.java: Catch NPE and ArrayOutOfBounds errors.
	* DOMSource.java: Add new element to indicate parser had an error
	while parsing; add new get/set methods to handle it.

2007-07-18  Rick Moseley  <rmoseley@redhat.com>

	* cparser/CDTParser.java: Add timing info for parsing.

2007-07-16  Andrew Cagney  <cagney@redhat.com>

	* DOMCommon.java: Update, lib.dw merged with lib.elf.

2007-07-13  Rick Moseley  <rmoseley@redhat.com>

	* DOMCommon.java(getIncludePaths): Make error message give
	more information from the elf exception.
	* DOMCommon.java: Reformatted.

2007-07-11  Rick Moseley  <rmoseley@redhat.com>

	* cparser/CDTParser.java: Fix checkVariableIndex for endless loop
	when parsing hpd-c.c.

2007-07-03  Andrew Cagney  <cagney@redhat.com>

	* DOMFactory.java (createDOM): Delete lib.dw.NoDebugInfoException
	from throw list.

2007-07-03  Rick Moseley  <rmoseley@redhat.com>

	* cparser/CDTParser.java: Make more robust in the handling
	of lines with macros on them; Added checkForMacro and 
	checkVariableIndex methods.
	* TestDOM.java: Activate form feed test.

2007-06-21  Rick Moseley  <rmoseley@redhat.com>

	* DOMLine.java: Change another insertion of "&np" to a
	space; fix problem of multiple form feeds on a line.

2007-06-20  Rick Moseley  <rmoseley@redhat.com>

	* DOMLine.java: Redo below fix to make it more comprehensive.
	Change insertion of XML form feed char to just a space.

2007-06-19  Rick Moseley  <rmoseley@redhat.com>

	* DOMLine.java: Fix problem with XML aborting when
	form feeds are inserted in the code.

2007-06-11  Nurdin Premji  <npremji@redhat.com>

	* DOMFactory.java: Reflect frysk.stack package movement.

2007-05-28  Nurdin Premji  <npremji@redhat.com>

	* TestDOM.java (testDOMFormFeed): Added.

2007-05-04  Nurdin Premji  <npremji@redhat.com>

	* DOMFactory.java (createDOM): Abstract StackFrame to Frame.
	
2007-05-02  Andrew Cagney  <cagney@redhat.com>

	* Revert 2007-05-01 Nurdin Premji <npremji@redhat.com> change.

2007-05-01  Nurdin Premji  <npremji@redhat.com>

	* DOMFactory.java (createDOM): 	Switch from StackFrame to Frame.

2007-04-23  Mike Cvet  <mcvet@redhat.com>

	* DOMFactory.java (clearDOMSourceMap): Check for null Tasks.

2007-03-23  Mike Cvet  <mcvet@redhat.com>

	* DOMSource.java (content): Added. String cache of the source code
	represented by the DOMSource. Addresses #4223.
	(setContent): Added.
	(getContent): Added.

2007-03-05  Rick Moseley  <rmoseley@redhat.com>

	* cparser/CDTParser.java: Fixed bz #4129.

2007-03-05  Mike Cvet  <mcvet@redhat.com>

	* DOMFactory.java (createDOM): Check for debuginfo.

2007-03-02  Rick Moseley  <rmoseley@redhat.com>

	* cparser/CDTParser.java: Fix bz 4120; change String path to
	File path.

2007-03-02  Mike Cvet  <mcvet@redhat.com>

	* DOMFactory.java: General fixups with respect to moving
	StackFrame DOM info to its Line objects.
	* DOMSource.java: Ditto.

2007-02-27  Rick Moseley  <rmoseley@redhat.com>

	* cparser/CDTParser.java: Fix bz #4104 and fully instrument
	it for debugging when "debug" is set to "true".

2007-02-27  Andrew Cagney  <cagney@redhat.com>

	* DOMFactory.java: Replace StackFrame .getSourceFile with Line
	.getFile.
	* DOMImage.java: Ditto.

2007-02-19  Rick Moseley  <rmoseley@redhat.com>

	* cparser/CDTParser.java (enterFunctionBody): Fix errors with
	substring going beyond the end of the line.
	* DOMCommon.java (alreadyAdded): Fix adding duplicate includes,
	bz #4077.
	* DOMCommon.java: Correct javadoc and comments and pull debug
	statement.

2007-02-15  Rick Moseley  <rmoseley@redhat.com>

	* DOMFactory.java: Remove debug stuff.

2007-02-15  Rick Moseley  <rmoseley@redhat.com>

	* DOMCommon.java: New.
	* DomImage.java: Add addSource method to call parser when
	adding source element to DOM.
	* TestParser.java: Call methods in DOMCommon instead of 
	DOMFactory.
	* DOMFactory.java: Pull static methods out and put in DOMCommon.

2007-02-05  Andrew Cagney  <cagney@redhat.com>

	* TestParser.java: Replace frysk.junit.Paths with frysk.Config.

2007-01-22  Andrew Cagney  <cagney@redhat.com>

	* DOMFrysk.java: Delete commented out import java.util.Vector;

2007-01-09  Andrew Cagney  <cagney@redhat.com>

	* TestParser.java (NEWDOM, tearDown, tmpFile, testParser): Replace
	NEWDOM - the generated DOM's output - with a temporary file,
	delete during tearDown.
	(exec_path, BASEDOM, installed_list, includepaths, sourcelist)
	(root, data, dom, IMAGE_FILENAME, CC_FILE, which_file)
	(testParser): Re-implement testParser using List instead of
	array's, and Paths.getExecPrefix and Paths.getDataPrefix instead
	of Build.SRCDIR, Build.ABS_SRCDIR, and hardwired install paths.
	(checkPath, assertDomMatchesBase): Replace checkPath with
	assertDomMatchesBase.

2007-01-08  Mike Cvet  <mcvet@redhat.com>

	* DOMFrysk.java: Updated comments to represent new DOM structure.
	Added new comments in other places.
	* DOMFunction.java: Added comments.
	(getLines): Removed some old redundant code.
	* DOMImage.java: Added comments.
	* DOMInlineInstance.java: Ditto.
	* DOMSource.java: Ditto.

2007-01-07  Andrew Cagney  <cagney@redhat.com>

	* TestParser.java: Renamed from frysk/gui/test/TestParser.java.
	Note problem 3841.

2007-01-05  Mike Cvet  <mcvet@redhat.com>

	* DOMFunction.java (parent): Changed to a DOMSource. Now resides
	with DOMSource as a parent rather than DOMImage. Fixes #3834.
	(createDOMFunction): Takes a DOMSource.
	(setParent): Ditto.
	(getSource): Can now just return the parent, being a DOMSource.
	* DOMImage.java (addFunction): Moved to DOMSource.
	(getFunction): Ditto.
	(getFunctions): Ditto.
	(findFunction): Ditto.
	* DOMInlineInstance.java: Applied GNU formatting.
	(NUM_LINE): Added - tag for source line this inline instance
	is called from.
	(parent): Added.
	(setParent): Added.
	(DOMInlineInstance): Now takes another int, being the line number
	of this inline instance in the source.
	(getDeclaration): Now returns the function from the DOMSource parent.
	(getLine): Added.
	(addInlineInst): Takes an extra int for line number.
	* DOMLine.java (getInlines): Moved to DOMSource.
	(addInlineInst): Ditto.
	(getInlineInst): Ditto.
	* DOMSource.java: Now is a DOM parent for DOMInlineInstance and
	DOMFunction. Fixes #3834.
	(addFunction): Moved from DOMImage.
	(getFunction): Ditto.
	(findFunction): Ditto.
	(getFunctions): Ditto.
	(addInlineInst): Moved from DOMLine.
	(getInlineInst): Ditto.
	(getInlines): Ditto (also takes an int for line number).
	* TestDOM.java (testDOMSource): Added some inline tests.
	(testDOMLine): Removed some inline tests.
	(testDOMInlineInstance): Now calls a 
	* cparser/CDTParser.c (image): Removed. Made redundant by
	new DOMSource.
	(enterFunctionBody): Now uses DOMSource and calls updated
	addFunction() method.
	(exitFunctionBody): Calls source instead of image.

2007-01-05  Rick Moseley  <rmoseley@redhat.com>

	* DOMImage.java (getFunction): Change "==" to ".equals".
	* CDTParser.java: Fix starting/ending line number calculations.
	Add some debug info to print out when "debug" is set to true.

2007-01-03  Mike Cvet  <mcvet@redhat.com>

	* DOMFactory.java (createDOM): Use the proc's command field as the
	new DOMFrysk parameter.
	(clearDOMSourceMap): Added. Clears the specified DOMImage's DOMSource
	HashMap.
	* DOMImage.java: Applied GNU formatting.
	(sourceMap): Added. Cache for DOMSource objects. Fixes #3821.
	(addFunction): Set this as the parent Object for the new DOMFunction.
	(getSource): First check the HashMap to see if the requested DOMSource
	is contained first. If not, create as usual and insert into cache.
	Substantial improvement over previous method, fixing #3821.
	(getFunction): Set this as the parent Object for all these new 
	DOMFunctions.
	(findFunction): Replaces SourceWindow.getFunctionXXX; better and
	faster.
	(clearSourceMap): Clears this DOMImage's source HashMap.
	* DOMFrysk.java: Applied GNU formatting.
	(imageMap): Added. Cache for DOMImage objects, fixing #3821.
	(getImage): Check the global HashMap for the requested DOMImage, 
	if it isn't there, create and insert into the cache.
	* DOMFunction.java: Applied GNU formatting.
	(setParent): Added.
	(getSource): Instead of iterating and creating new DOMImages each time, 
	grab the requested DOMSource out of the parent DOMImage's HashMap.
	* DOMLine.java: Applied GNU formatting.

2006-12-16  Adam Jocksch  <ajocksch@redhat.com>

	* DOMImage.java (getFunctions): Moved from using Vectors to using the
	collections framework.
	* DOMLine.java: Ditto.
	* DOMSource.java (getInlinedFunctions): Ditto.

2006-12-15  Rick Moseley  <rmoseley@redhat.com>

	* DOMFactory.java: Add Frysk copyright header back in.

2006-12-13  Rick Moseley  <rmoseley@redhat.com>

	* DOMFactory.java: Use ArrayList instead of String[].
	* cparser/CDTParser.java: Ditto.
	* DOMCompilerSuffixes.java: New.

2006-12-06  Andrew Cagney  <cagney@redhat.com>

	* DOMImage.java: Remove @author.
	* DOMSource.java: Ditto.
	* DOMLine.java: Ditto.
	* DOMFunction.java: Ditto.
	* cparser/CTagsParser.java: Ditto.
	* cparser/SimpleParser.java: Ditto.
	* cparser/CDTParser.java: Ditto.
	* DOMFrysk.java: Ditto.
	* DOMInlineInstance.java: Ditto.
	* DOMTagTypes.java: Ditto.
	* StaticParser.java: Ditto.
	* DOMTag.java: Ditto.

2006-12-06  Nurdin Premji  <npremji@redhat.com>

	* DOMFactory.java: Added (C).

2006-12-05  Rick Moseley  <rmoseley@redhat.com>

	* DOMFactory.java: Added alreadyAdded method to check for 
	include paths being added multiple times.
	* CDTParser.java (enterInclusion): Modded to better implement
	the tagging of "#includes" in the source file.

2006-12-04  Mike Cvet  <mcvet@redhat.com>

	* DOMFunction.java (createDOMFunction): Strip spaces out of
	incoming function_call String.
	* DOMTagTypes.java (DOMTagTypes): Added FUNCTION_CALL. 
	* cparser/CDTParser.java (enterFunctionBody): Dump function
	header information into FUNCTION_CALL.
	(enterMethodBody): Ditto.

2006-12-01  Rick Moseley  <rmoseley@redhat.com>

	* DOMFunction.java: Added "function_call" sub-element to
	"function".
	* DOMImage.java: Ditto.
	* cparser/CDTParser.java: Ditto.

2006-11-29  Rick Moseley  <rmoseley@redhat.com>

	* cparser/CDTParser.java: Fix bug in acceptMacro method.

2006-11-22  Rick Moseley  <rmoseley@redhat.com>

	* DOMFunction.java: Added new methods to set ending line
	and character numbers from th parser.
	* cparser/CDTParser.java: Check for each callback to make
	sure we are marking up the local source file; added 
	functionality to exitFunctionBody to set the ending line
	and character numbers for the function; fix bz #3412.

2006-11-15  Rick Moseley  <rmoseley@redhat.com>

	* DOMFactory.java: Add more comments, javadoc; add more
	error checking.

2006-11-09  Rick Moseley  <rmoseley@redhat.com>

	* cparser/CDTParser.java: Fix bz 3496; remove unneeded
	parameter from constructor.
	* StaticParser.java: Remove unneeded parameter from
	constructor.
	* DOMFactory.java: Ditto.
	* cparser/CTagsParser.java: Ditto.
	* cparser/SimpleParser.java: Ditto.

2006-11-08  Rick Moseley  <rmoseley@redhat.com>

	* TestDOM.java: Add test for method added to DOMSource.java.
	* DOMSource.java: Remove unneeded method; update javadoc
	for correct new parameters for constructor.

2006-11-07  Rick Moseley  <rmoseley@redhat.com>

	* DOMFrysk.java: Correct docs at top of file.  Add recent
	addition to DOMSource of include paths.

2006-11-06  Rick Moseley  <rmoseley@redhat.com>

	* DOMSource.java: Added getIncludes method.
	* cparser/CDTParser.java: Use getIncludes method.
	Add countCommas/getIncPaths methods.

2006-11-03  Rick Moseley  <rmoseley@redhat.com>

	* DOMImage.java: Added capability to add multiple source files to
	the DOM.
	* TestDOM.java: Ditto.
	* DOMFactory.java: Turn off debugging.

2006-11-03  Rick Moseley  <rmoseley@redhat.com>

	* DOMFactory.java: Added capability to add multiple source files to 
	the DOM.
	* DOMSource.java:  Ditto.

2006-11-02  Mike Cvet  <mcvet@redhat.com>

	* DOMFactory.java (createDOM): Check for null DwflLine from the
	incoming StackFrame.

2006-11-01  Rick Moseley  <rmoseley@redhat.com>

	* cparser/CDTParser.java:  Remove redundant tagging in acceptParameter.
	Fix the tag length that was being calculated in enterFunctionBody.
	Change debug variable from true to false to prevent debug spewing.
	* DOMLine.java: Fix adding of duplicate tags calculation.
	Do not add null tags.
	Remove superfluous spaces at the end of some tokens.
	* DOMFactory.java: Remove debug statements.

2006-10-30  Rick Moseley  <rmoseley@redhat.com>

	* cparser/CDTParser.java:  Fix problem with accessField callback
	processing files other than the intended source file.

2006-10-27  Mike Cvet  <mcvet@redhat.com>

	* DOMFactory.java (createDOM): Remove the Task parameter and instead
	take a StackFrame. Get the local DwflLine from the StackFrame. Fixes
	#212434.

2006-10-25  Rick Moseley  <rmoseley@redhat.com>

	* cparser/CDTParser.java: Fix the include path.

2006-10-25  Rick Moseley  <rmoseley@redhat.com>

	* cparser/CDTParser.java: Add method getIncPaths to get the
	include paths from the ELF header.
	Add new parameter to pass executable path.
	* cparser/CTagsParser.java: Add new parameter to pass executable
	path.
	* cparser/SimpleParser.java: Ditto.
	* DOMFactory.java: Ditto.
	* StaticParser.java: Ditto.

2006-10-24  Rick Moseley  <rmoseley@redhat.com>

	* DOMImage.java:  Fix bz's 3417, 3418.

2006-10-24  Andrew Cagney  <cagney@redhat.com>

	* TestDOM.java: Import frysk.junit.TestCase.
	(testDOMImage, testDOMsource, testDOMLine)
	(testDOMInlineInstance): Mark as broken; 3417.
	(testDOMFrysk): Mark as broken; 3418.

2006-10-23  Rick Moseley  <rmoseley@redhat.com>

	* DOMFactory.java: Add new printDOM method.
	* DOMFrysk.java: Return the root JDOM Element.
	* DOMImage.java: Accept the root JDOM Element.
	Add the image to the root JDOM Element.

2006-10-20  Rick Moseley  <rmoseley@redhat.com>

	* cparser/CDTParser.java: Add "debug" boolean to print DOM if wanted.
	Fix indexing when variable definitions are found.
	* cparser/CTagsParser.java: Pass DOMFrysk as a parameter.
	* cparser/SimpleParser.java: Ditto.
	* StaticParser.java: Ditto.
	* DOMFactory.java: Ditto.
	Add ability to print the DOM for debugging.

2006-10-18  Rick Moseley  <rmoseley@redhat.com>

	* cparser/CDTParser.java: Add CodeREader so #include files get 
	processed properly.
	Fix acceptMacro so it only processes macros from the source file.
	Fix enterInclusion so it only processes #includes from the source
	file.

2006-10-16  Rick Moseley  <rmoseley@redhat.com>

	* cparser/CDTParser.java: Fix substring error for line.addTag call.

2006-10-12  Rick Moseley  <rmoseley@redhat.com>

	* cparser/CDTParser.java: Add obvious include paths.
	Remove debug statements.

2006-10-11  Rick Moseley  <rmoseley@redhat.com>

	* cparser/CDTParser.java: Remove QUICK parser(at least for now).
	Check for which language we are parsing(C or CPP).
	Format.

2006-10-09  Adam Jocksch  <ajocksch@redhat.com>

	* DOMFactory.java (createDOM): Now checks for a relative path to the
	source file and uses the compilation directory instead if a relative
	path is found.

2006-10-04  Mike Cvet  <mcvet@redhat.com>

	* DOMFactory.java (createDOM): Gets the image associated with the 
	main task's name.
	(createDOM): Gets the source from the image associated wtih the main
	task's name.

2006-10-01  Adam Jocksch  <ajocksch@redhat.com>

	* DOMSource.java: Reformatted.

2006-09-28  Rick Moseley  <rmoseley@redhat.com>

	* cparser/CDTParser.java: Fix function name highlighting(bz #3275).

2006-09-19  Rick Moseley  <rmoseley@redhat.com>

	* DOMFrysk.java: Fixed formatting of javadoc comments.

2006-07-28  Mike Cvet  <mcvet@redhat.com>

	* DOMFactory.java: Applied GNU formatting.
	* DOMFrysk.java (checkImageDup): Ditto.

2006-07-20  Tim Moore  <timmore@redhat.com>

	* DOMFactory.java (createDom): handle TaskException.

2006-06-28  Adam Jocksch  <ajocksch@redhat.com>

	* DOMFactory.java (createDOM): Now throws FileNotFoundExceptions and
	IOExceptions.

	* DOMFactory.java (createDOM): Now prints stack traces for exceptions.

2006-06-20  Adam Jocksch  <ajocksch@redhat.com>

	* cparser/CDTParser.java (enterFunctionBody): Now checks for ending
	line being zero, and if so sets it to be the same as the starting line.

2006-06-19  Adam Jocksch  <ajocksch@redhat.com>

	* DOMFactory.java (createDOM): Now throws a NoDebugInfoException.

2006-06-15  Adam Jocksch  <ajocksch@redhat.com>

	* DOMFactory.java (createDOM): Fixed off by one error for line offsets.
	* cparser/StaticParser.java (parse): Now takes a DOMImage as well for
	adding functions to.
	* cparser/CDTParser.java (parse): Changed to reflect change in
	interface.
	(enterFunctionBody): Now adds the function to the DOMImage.
	* cparser/CTagsParser.java (parse): Changed to reflect change in
	interface.
	* cparser/SimpleParser.java (parse): Ditto.

2006-06-13  Adam Jocksch  <ajocksch@redhat.com>

	* DOMFactory.java (createDOM): Returns null if no DwflLine found.

	* DOMFactory.java (createDOM): Now uses the proc as the key for the
	hashmap rather than the task.

	* DOMFactory.java (createDOM): No longer uses the whole task name as
	the name for the DOM since it contains invalid characters, also adds
	newlines to the end of the lines that are parsed.

2006-06-07  Adam Jocksch  <ajocksch@redhat.com>

	* DOMFactory.java: Created.
	* SimpleParser.java: Moved from frysk-gui/frysk/gui/srcwin
	* cparser: Added.
	* cparser/CDTParser.java: Moved from frysk-gui, removed comment
	highlighting for now.
	* cparser/CTagsParser.java: Moved from frysk-gui.
	* cparser/SimpleParser.java: Ditto.
	* cparser/Token.java: Ditto.
	* cparser/Tokenizer.java: Ditto.
	* DOMFrysk.java (DOMFrysk): Added second constructor that only takes
	name of the root element.
	* DOMImage.java (getFunctions): Added.
	* DOMLine.java (DOMLine): Now takes a long instead of a BigInteger.
	(getAddress): Added.
	* DOMSource.java (addLine): Now takes a long instead of a BigInteger.
	* testDOM.java: Changes to reflect above change to DOMLine constructor.

2006-05-15  Stepan Kasal  <skasal@redhat.com>

	* DOMFrysk.java: ... and use ASCII minus instead of multibyte dashes.

2006-04-19  Stan Cox  <scox@redhat.com>

	Fix from Wu Zhou <woodzltc@cn.ibm.com>:
	* DOMFrysk.java: Use ASCII quote instead of multibyte quotes.

2006-04-03  Rick Moseley  <rmoseley@redhat.com>

	* DOMFrysk.java: Added additional documentation explaining JDOM structure.
	Updated Javadoc information.
	* DOMFunction.java:  Updated Javadoc information.
	* DOMImage.java: Ditto.
	* DOMInlineInstance.java: Ditto.
	* DOMLine.java: Ditto.
	* DOMSource.java: Ditto.
	* DOMTag.java: Ditto.
	* DOMTagTypes.java: Ditto.
	* TestDOM.java: Ditto.
	Removed old commented out code.

2006-03-29  Adam Jocksch  <ajocksch@redhat.com>

	* DOMLine.java (addTag): Now checks for multiple occurances of
	FUNCTION_BODY on the same line, allows two tags of different types
	to exist at the same spot on a line.
	(addTag): Now adds the element from the DOMTag, rather than copying
	the attributes one by one.
	* DOMTag.java (getToken): Added.
	* DOMTagTypes.java (TEMPLATE): Added.

2006-03-27  Adam Jocksch  <ajocksch@redhat.com>

	* DOMTagTypes.java (MACRO): Added.

	* DOMTagTypes.java (INCLUDE): Added.
	(NAMESPACE): Added.

2006-03-23  Adam Jocksch  <ajocksch@redhat.com>

	* DOMFrysk.java (CCPATH_ATTR): Removed.
	(addImage): Added version that takes a DOMImage, most of work now
	moved to DOMImage constructor.
	* DOMImage.java (NAME_ATTR): Added.
	(PATH_ATTR): Added.
	(DOMImage): Added new constructor that takes image attributes and
	creates a new Element.
	(addSource): Now uses DOMSource constructor, added second version that
	takes only a DOMSource.
	* DOMInlineInstance.java (hasInlineInstance): Added comment.
	(hasParentInlineInstance): Ditto.
	(getInlineInstance): Ditto.
	(getPreviousInstance): Ditto.
	* DOMLine.java (DOMLine): Added new constructor that takes line
	attributes.
	(getInlinedCodeCount): Removed, can get this information from
	DOMInlineInstance.
	(getInlineElement): Ditto.
	* DOMSource.java (DOMSource): Added new constructor that takes source
	attributes.
	(addLine): Now uses DOMLine constructor.
	* TestDOM.java (testDOMLine): Now uses getElement from DOMInlineInstance
	rather than getInlineElement from DOMLine.

	* TestDOM.java (testDOMLine): No longer treats the return from DOMTag
	getLength() as the end of the tag.

2006-03-22  Adam Jocksch  <ajocksch@redhat.com>

	* DOMFrysk.java (getImages): Added comment explaining why method
	is commented out.
	* DOMInlineInstance.java (OFFSET_ATTR): Added.
	(LENGTH_ATTR): Added.
	(DOMInlineInstance): Removed commented out constructor, added 
	constructor that takes name, offset, length, and pc counter for
	the inlined block.
	* DOMLine.java (hasBreakpoint): Removed commented out duplicate method.
	(addInlineInst): Refactored out, now uses new DOMInlineInstance
	constructor.
	(getInstElement): Removed, was commented out.
	(addTag): Now uses DOMTag constructor rather than manually
	manipulating element.
	(getTag): Removed commented out code.
	* DOMSource.java (createDOMSource): Removed, was commented out.
	(getLine): Removed commented out duplicate method.
	* DOMTag.java (DOMTag): Removed duplicate commented-out constructor,
	changed current constructor to also take the token for the tag and
	no longer assigns the tag to a line or takes the end of the tag.
	* TestDOM.java (testDOMLine): Changed to use new DOMTag constructor.

	* DOMImage.java (getInlines): Function was never used and broken,
	removed since functionality should be in DOMLine anyways.

2006-03-17  Adam Jocksch  <ajocksch@redhat.com>

	* DOMLine.java (addTag): Now checks for duplicate tags before adding
	element.

2006-03-15  Adam Jocksch  <ajocksch@redhat.com>

	* DOMSource.java (getLineSpanningOffset): Added.

2006-03-14  Adam Jocksch  <ajocksch@redhat.com>

	* DomImage.java (addSource): Now sets the 'parsed' attribute of the new
	node to false.
	* DomSource.java (isParsed): Added.
	(setParsed): Added.

2006-03-09  Adam Jocksch  <ajocksch@redhat.com>

	* DOMFrysk.java (pcName): No longer is static, since it is
	being added to every DOM created (leading to only being able
	to open one source window once).

2006-01-23  Andrew Cagney  <cagney@redhat.com>

	* DOMTestGUIBuilder.java: Delete; not used.

2006-01-16  Rick Moseley  <rmoseley@redhat.com>
	
	* Remove DOMTestDOMFrysk.java(now is TestDOM.java).

2006-01-06  Rick Moseley  <rmoseley@redhat.com>

	* TestDOM.java: Fix reverse logic errors.
	(DOMImage): Put assert* in iteration loop for testDOMImage.
	Remove System.out.prinln stmts.

2006-01-06  Rick Moseley  <rmoseley@redhat.com>

	* TestDOM.java: New for junit testing.

2005-12-09  Adam Jocksch  <ajocksch@redhat.com>

	* DOMInlineInstance (hasParentInlineInstance): Added.
	(getPreviousInstance): Added.

	* DOMFunction.java (getSource): Added.
	(getSourceName): Removed, should now get name through the
	DOMSource returned by getSource.

2005-12-08  Adam Jocksch  <ajocksch@redhat.com>

	* Directory moved to frysk-core/frysk/dom/, from
	frysk-gui/frysk/srcwin/dom/.
	
2005-11-23  Adam Jocksch  <ajocksch@redhat.com>

	* DOMFrysk.java: Moved IMAGE_ATTR constant to DOMImage.
	* DOMFunction.java: Added FUNCTION_NODE constant and moved
	INLINE_NODE constant to DOMInlineInstance.
	* DOMImage.java: Removed INLINE_NODE constant, was redundant.
	(getFunction): Now uses FUNCTION_NODE from DOMFunction.
	* DOMInlineInstance.java: Created INLINE_NODE constant.
	(addInlineInstance): Added.
	(hasInlineInstance): Added.
	(getInlineInstance): Added.
	* DOMLine.java (setHasInline): Removed.
	(hasInlinedCode): No longer relies on the member variable.
	(addInlineCode): No longer sets member variable.
	* DOMSource.java: Removed LINENO_NODE = "line";
	(addLine): No longer takes 'has_inline' variable.
	* DOMTagTypes: Added constant for out of scope variables.
	* DOMTestDOMFrysk: Commented out unused variable due to DOMLine
	no longer needing a 'has_inline' variable for addLine.
	
2005-11-22  Adam Jocksch  <ajocksch@redhat.com>

	* DOMLine.java (getTag): Now only gets tags of type "tag", no
	longer erroneously includes inline instances tags.

2005-11-21  Adam Jocksch  <ajocksch@redhat.com>

	* DOMInlineInstance.java (getPCLine): Added.
	* DOMLine.java (addInlineInst): Now takes PC line number within the
	inlined code.
	* DOMTestDOMFrysk: Added parameter to calls to addInlineInst.
	* DOMTestGUIBuilder: Ditto.

2005-11-17  Adam Jocksch  <ajocksch@redhat.com>

	* DOMTestDOMFrysk/java (testDOMLine): Commented out area of
	test that temporarily no longer works to do DOM fiddling to make
	inlines work.

2005-11-16  Adam Jocksch  <ajocksch@redhat.com>

	* DOMFunction.java (getLines): No longer throws exception, now
	actually works as expected.
	* DOMInlineInstance.java (DOMInlineInstance): Removed constructor
	that doesn't take an Element since it wasn't being used.
	(getDeclaration): Now actually browses the tree to find the proper
	DOMFunction object.

2005-11-15  Adam Jocksch  <ajocksch@redhat.com>

	* DOMFrysk.java: Made IMAGE_ATTR protected.
	
	* DOMFunction.java (createDOMFunction): takes source name,
	start and end line numbers instead of an array of Strings.
	(getStartLine): Renamed to getStartingLine and now uses attributes.
	(getEndLine): Renamed to getEndingLine and now uses attributes.
	(getLines): Now fetches the lines from the DOMSource.
	(getLinesIter): Removed.
	* DOMImage.java (addInlineFunction): Renamed to addFunction, uses
	createDOMFunction.
	* DOMLine.java (addInlineInst): Changed last parameter name to
	'length'.
	* DOMTestDOMFrysk.java (testDOMImage): Commented out sections
	dealing with refactored DOMFunction, since this will be changed to
	JUnit soon anyways.
	(testDOMFunction): Ditto.
	* DOMTestGuiBuilder.java: Commented section that adds function info
	temporarily until it can be refactored to match DOMFunction.

2005-11-09  Adam Jocksch  <ajocksch@redhat.com>

	* DOMTagTypes.java: Added FUNCTION_BODY as a tag type.

2005-11-04  Rick Moseley  <rmoseley@redhat.com>
	
	* DOMTestDOMFrysk.java: Added test for DOMImage.getFunction();
	to be added to JUnit also.

2005-11-03  Adam Jocksch  <ajocksch@redhat.com>

	* DOMInlineFunc.java: Extraneous, removed.
	
2005-10-31  Adam Jocksch  <ajocksch@redhat.com>

	* DOMTagTypes: Added.

2005-10-28  Adam Jocksch  <ajocksch@redhat.com>

	* DOMTestGUIBuilder: Added data to more accurately reflect the
	state of test6.cpp.
	(buildDOM): Added boolean flag to decide whether or not to
	populate tags.

2005-10-27  Adam Jocksch  <ajocksch@redhat.com>

	* DOMLine.java (getTag): Removed check for line offset, since all 
	offsets are w.r.t the start of the current line.
	* DOMTag.java (isInRange): Fixed, now treats length properly and
	includes the endpoints.

2005-10-26  Adam Jocksch  <ajocksch@redhat.com>

	* DOMTag.java (getEnd): Changed to getLength.
	(setEnd): Changed to setLength.
	(END_ATTR): Changed to LENGTH_ATTR.
	* DOMTestGUIBuilder.java (test_prog): Added missing newline.
	(tags_classes): Added.
	(main): Refactored out buildDOM method.
	(buildDOM): Added.

2005-10-25  Rick Moseley  <rmoseley@redhat.com>

	* DOMLine.java: Change Boolean to boolean for line attributes
	change Integer.toString to "".
	* DOMSource.java: Added getLineCount method (BZ# 1544) change
	Boolean to boolean for line attributes.
	* DOMTestDOMFrysk.java: Implement change for Boolean to
	boolean added test for getLineCount few comment changes.
	* DOMTestGUIBuilder.java: Change Boolean to boolean for line
	attributes fix error of "has_inline" not being set.

2005-10-25  Rick Moseley  <rmoseley@redhat.com>

	* DOMTag.java: Changed END_ATTR from "end" to "length".
	* DOMTestGUIBuilder.java: Add "inline instance" to line node.

2005-10-24  Rick Moseley  <rmoseley@redhat.com>

	* DOMLine.java: added new addTag method
	* DOMTag.java: added TOKEN_ATTR
	* DOMTestDOMFrysk.java: fixed addPID error print out
	* DOMTestGUIBuilder.java: new to create DOM for GUI testing

2005-10-20  Rick Moseley  <rmoseley@redhat.com>

	* DOMTag.java: added setType/setStart/setEnd methods
	
	* DOMTestDOMFrysk.java: added tests for above

2005-10-20  Rick Moseley  <rmoseley@redhat.com>

	* DOMInlineInstance.java: added setStart/setEnd methods
	
	* DOMLine.java: added getInlineInst method
	
	* DOMTestDOMFrysk.java: added tests for the above

2005-10-19  Rick Moseley  <rmoseley@redhat.com>

	* DOMFunction.java: added getLineIter method
	
	* DOMTextDOMFrysk.java: added test for above
	
2005-10-18  Rick Moseley  <rmoseley@redhat.com>

	* DOMLine.java: Modded getTags/getInLines removed unused
	variables.
	* DOMTestDOMFrysk.java: Added tests for the above.
	
2005-10-17  Rick Moseley  <rmoseley@redhat.com>

	* DOMLine.java: Fix addTag method.
	
	* DOMTag.java: Redo constructors.
	
	* DOMTestDOMFrysk.java: Add tests for DOMTag methods getType,
	getStart, getEnd.

2005-10-17  Rick Moseley  <rmoseley@redhat.com>

	* DOMFrysk.java: Comment out getImages method for now; it
	breaks the build.

2005-10-17  Rick Moseley  <rmoseley@redhat.com>

	* DOMInlineInstance.java: Comment out of import of
	java.util.vector; added Element myElement; added
	DOMInlineInstance(Element) constructor; added
	getInlineInstance(Element) method.
		
	* DOMLine.java: Reformatted.
	
	* DOMTestDOMFrysk.java: Added tests for above new methods.

2005-10-17  Rick Moseley  <rmoseley@redhat.com>

	* DOMSource.java: Use getText/setText to get/set the text of a
	line.
	
	* DOMLine.java: Use getText/setText methods to get/set the
	text of a line; fix setText method bug for setting length.
	
	* DOMTestDOMFrysk.java: Added getStartLine/getEndLine methods;
	use setText/getText methods as above.
			
2005-10-17  Rick Moseley  <rmoseley@redhat.com>

	* DOMFunction.java: renamed from DOMInlineFunc
	
	* DOMImage.java: Removed INLINENAME_ATTR; added new
	addInlineFunction method; getFunction now returns a DOMFunction
	type.
						 
	* DOMInlineInstance.java: Renamed DOMInlineFunc to DOMFunction.
	
	* DOMLine.java: fixed addInstance bug; commented out
	getInstElement method for now
						
	* DOMSource.java: More renaming of DOMInlineFunc to DOMFunction.
	
	* DOMTestDOMFrysk.java: Modded to relfect above changes; added
	tests for the DOMFunction class.

2005-10-14  Rick Moseley  <rmoseley@redhat.com>

	* DOMFrysk.java: Added Copyright/License information.
	* DOMImage.java: Ditto.
	* DOMTag.java: Ditto.
	* DOMInlineFunc.java: Ditto.
	* DOMSource.java: Ditto.
	* DOMLine.java: Ditto Added hasBreakPoint method.  When
	changing text, change the "length" attibute too.  Added
	addInstance method.  Added getInstElement method.
	* DOMInlineInstance.java: Added Copyright/License information.
	Added LINEINST_NODE, LINEINST_ATTR variables.
	* DOMTestDOMFrysk.java: Added Copyright/License information.
	Added tests for methods added to DOMLine.java

2005-10-12  Rick Moseley  <rmoseley@redhat.com>

	* DOMLine.java: Added setText/getText/setOffset/getOffset
	methods; modded hasInlinedCode/isExecutable method.
	* DOMTestDOMFrysk: Added tests for above methods.
	* DOMSource.java: Added HAS_BREAK attribute; added some much
	needed comments for addLine; renamed some vars to make them more
	uniform; changed calling params for addLine.

2005-10-11  Rick Moseley  <rmoseley@redhat.com>

	* DOMTestDOMFrysk.java: Add testDOMLine method; change name of
	getLineNum1 method to getLine; added test for DOMLine.getLineNum;
	added test for DOMLine.getLength.
	* DOMSource.java: Change getLineNum1 name to getLine; change
	END_ATTR to LENGTH_ATTR from DOMLine; rename getLineNum1 to
	getLineNum & comment out; old getLineNum for now, may delete
	later.
	* DOMLine.java: Comment out *possibly* unneeded constructors;
	fix getLength method.

2005-10-11  Rick Moseley  <rmoseley@redhat.com>

	* DOMImage.java: Change LINENO_ATTR to use NUMBER_ATTR from
	DOMSource.
	* DOMLine.java: Added LENGTH_ATTR variable.
	* DOMSource.java: Use variables from DOMLine instead of local
	ones; add getLineNum1 method as alternative to getLineNum.
	* DOMTestDOMFrysk.java: Add test for getLineNum1 method.

2005-10-10  Rick Moseley  <rmoseley@redhat.com>

	* DOMSource.java: modded getLines() method
	
	* DOMTestDOMFrysk.java: added test for getLines() method

2005-10-10  Rick Moseley  <rmoseley@redhat.com>

	* DOMSource.java: Screw-up, missed checking it in with the
	below entry.

2005-10-10  Rick Moseley  <rmoseley@redhat.com>

	* DOMImage.java: Removed LINENO/LINENO_ATTR variables.
	* DOMSource.java: Import java.math.BigInteger; added
	LINENO/LINENO_ATTR variables; added varibles for adding lines to
	DOM; added addLine method.
	* DOMTestDOMFrysk.java: Added test of DOMSource.addLine
	method; cleaned up a lot of variables.

2005-10-07  Rick Moseley  <rmoseley@redhat.com>

	* DOMImage.java: Changed addSource/AddInlineFunction to return
	void; added getInlineFunction method.
	* DOMSource.java: Added setFileName/setFilePath methods.
	* DOMTestDOMFrysk.java: Added tests for above
	additons/changes; more work on test messages to make them clearer.

2005-10-07  Rick Moseley  <rmoseley@redhat.com>

	* DOMImage.java: Add getSource method.
	* DOMTestDOMFrysk.java: Add tests for getSource/getSources.
	
2005-10-05  Rick Moseley  <rmoseley@redhat.com>

	* DOMImage.java: Modifed getInlinedFunctions method.
	* DOMTestDOMFrysk.java: Added test for above.

2005-10-05  Rick Moseley  <rmoseley@redhat.com>

	* DOMFrysk.java: Moved printDOM method to DOMTestDOMFrysk;
	removed uneeded imports and variable for above.
	* DOMImage.java: Added addInlineFunction method.
	* DOMTestDOMFrysk.java: Added tests for addInlineFunction;
	added printDOM method from DOMFrysk.java.

2005-10-04  Rick Moseley  <rmoseley@redhat.com>

	* DOMFrysk.java: standardize constant names with DOMSource
	
	* DOMImage.java: Ditto.  Add setCCPath() method.
						 
	* DOMTestDOMFrysk.java: Added test for set CCPath().  Made
	test output messages more uniform.

2005-10-04  Rick Moseley  <rmoseley@redhat.com>

	* dom.DOMImage.java: added back in accidentally deleted getElement method

2005-10-04  Rick Moseley  <rmoseley@redhat.com>

	* DOMImage.java: added addSource() method
	
	* DOMTestDOMFrysk.java: added tests for above

2005-10-03  Rick Moseley  <rmoseley@redhat.com>

	* DOMFrysk.java: Renamed pcValue to value.
	* DOMTestDOMFrysk.java: split test suite into 2 new methods -
	testDOMFrysk() and testDOMImage().  Added tests for
	DOMImage.getCCPath() and DOMImage.getName()

2005-10-03  Rick Moseley  <rmoseley@redhat.com>

	* DOMFrysk.java: Added addPID() method.  Modified getPID()
	method.
	* DOMTestDOMFrysk.java: Added addPPID()/getPID() tests.  Added
	DOMGetImage tests.  Made test messages all look similar.

2005-10-03  Rick Moseley  <rmoseley@redhat.com>

	* DOMFrysk.java: Added addImage() method.  Added
	checkImageDup() method.  Modified getImage() method.
	* DOMTestDOMFrysk.java: Added tests for above methods plus
	some others.

2005-09-28  Rick Moseley  <rmoseley@redhat.com>	
	
	* DOMFrysk.java: rename to setPC
	
	* DOMFrysk.java: add getPC method
	
	* DOMTestDOMFrysk.java: add test for getPC method

2005-09-23  Rick Moseley  <rmoseley@redhat.com>

	* DOMCreate.java: merged into DOMFrysk.java and deleted
	
	* DOMTestCreate.java: renamed to DOMTestDOMFrysk.java
	
	* DOMGetter.java: merged into DOMFrysk and deleted
	
	* DOMTestDOMFrysk: removed unneeded imports and variables

2005-09-22  Adam Jocksch  <ajocksch@redhat.com>

	* DOMInlineFunc (createDOMInlineFunc): Added.

	* DOMImage (getInlinedFunctions): Moved to DOMSource.
	(addInlineFunciton): Ditto.

	* DOMSource (getInlinedFunctions): Moved here from DOMImage.
	(addInlineFunction): Ditto.

2005-09-22  Adam Jocksch  <ajocksch@redhat.com>

	* DOMTag.java (createDOMTag): Added.
	(getElement): Added.

	* DOMLine.java: Removed extraneous import.
	(createDOMLine): Added.
	(getElement): Added.
	(addTag): Added.

	* DOMSource.java (createDOMSource): Added.
	(getElement): Added.
	(addLine): Added.

	* DOMImage.java (createDOMImage): Added.
	(getElement): Added.
	(addSource): Added.
	(addInlinedFunction): Added.

	* DOMInlinedFunc.java (getElement): Added.

2005-09-22  Adam Jocksch  <ajocksch@redhat.com>

	* DOMLine.java (hasBreakpoint): Added.

2005-09-21  Rick Moseley  <rmoseley@redhat.com>

	* DOMCreate.java: Added.
	
	* DOMTestCreate.java: Added.
	
2005-09-21  Adam Jocksch  <ajocksch@redhat.com>

	* DOMInlinedFunc.java: Added.

	* DOMInlinedInstance.java: Added.

	* DOMImage.java (getInlinedFunctions): Added.

	* DOMLine.java: Added private member inlines.
	(getInlines): Added.

2005-09-21  Adam Jocksch  <ajocksch@redhat.com>

	* DOMSource.java: fixed warning about serialVersionUID not 
	being found and Added javadoc comments. Extracted constants.

	* DOMGetter.java: Added javadoc comments and extracted constants.

	* DOMImage.java: Ditto.

	* DOMTag.java: Ditto.
	
	* DOMLine.java: Added javadoc comments and extracted constants.
	(getTag): Index can now be relative to line or start of file.
	

2005-09-20  Adam Jocksch  <ajocksch@redhat.com>

	* New directory.
	* DOMGetter.java: Ditto.
	* DOMImage.java: Ditto.
	* DOMSource.java: Ditto.
	* DOMLine.java: Ditto.
	* DOMTag.java: Ditto.

Local Variables:
mode: change-log
left-margin: 8
fill-column: 74
version-control: never
End:
